Package: org.gradle.plugins.ide.idea.model

## [Groovy] Class ProjectLibrary

- org.gradle.plugins.ide.idea.model.ProjectLibrary

- A project-level IDEA library.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Set<File>` | `classes` A set of Jar files or directories containing compiled code.
    `Set<File>` | `javadoc` A set of Jar files or directories containing Javadoc.
    `String` | `name` The name of the library.
    `Set<File>` | `sources` A set of Jar files or directories containing source code.

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `addToNode(groovy.util.Node parentNode, PathFactory pathFactory)`
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### Set<File> classes

      A set of Jar files or directories containing compiled code.

    - #### Set<File> javadoc

      A set of Jar files or directories containing Javadoc.

    - #### String name

      The name of the library.

    - #### Set<File> sources

      A set of Jar files or directories containing source code.

  - ### Method Detail

    - #### void addToNode(groovy.util.Node parentNode, PathFactory pathFactory)

    - #### boolean equals(Object obj)

    - #### int hashCode()